export class InternalServiceConflictError extends Error {
	public constructor(internalServiceClass: any) {
		super(`Unable to register service '${internalServiceClass}' as it conflicts with an already registered service.`);
		Object.setPrototypeOf(this, InternalServiceConflictError.prototype);
	}
}

export class InternalServiceNotFoundError extends Error {
	public constructor(internalServiceClass: any) {
		super(`Internal service not found: ${internalServiceClass}.`);
		Object.setPrototypeOf(this, InternalServiceNotFoundError.prototype);
	}
}
